Subject: Re: Bug: "git log --format='format:%+s%+b'" doesn't insert newline before body

From: Ilya Tumaykin <[email-masked]>
Date: Mon, 25 Jul 2016 13:49:25 +0300

On Monday 25 July 2016 10:06:28 Johannes Schindelin wrote:
> Hi Ilya,
> 
> On Mon, 25 Jul 2016, Ilya Tumaykin wrote:
> > On Monday 25 July 2016 09:33:00 Johannes Schindelin wrote:
> > > On Sun, 24 Jul 2016, Ilya Tumaykin wrote:
> > > [...]
> > > 
> > > > $ git --no-pager log -1 --format='format:%+s%+b'
> > > > 
> > > > Actual results:
> > > > ```
> > > > 
> > > > This is subject
> > > > And this is body
> > > > ```
> > 
> > According to 'git-log' man page '%+b' should insert linefeed "immediately
> > before the expansion if and only if the placeholder expands to a non-empty
> > string." Here "%b" expands to a non-empty string, thus I expect a linefeed
> > before it. Or am I misinterpreting man page somehow?
> 
> The line break is there: after the subject. The misinterpretation is most
> likely the assumption that the new-line "character" is part of the commit
> subject; It is not.

I see. Thank you very much for the explanation. This does help me.

-- 
Best regards.
Ilya Tumaykin.